package cn.com.qmth.examcloud.core.oe.student.service;

import cn.com.qmth.examcloud.core.oe.student.base.bean.ExamQuestion;
import cn.com.qmth.examcloud.core.oe.student.base.bean.ExamRecordQuestions;
import cn.com.qmth.examcloud.question.commons.core.paper.DefaultPaper;

/**
 * @author chenken
 *
 */
public interface ExamRecordQuestionsService {

    /**
     * 保存
     * @param timeout   秒
     */
    public void saveExamQuestion(Long examRecordDataId,Integer order,ExamQuestion questions);

    /**
     * 获取
     * @param examRecordDataId
     * @return
     */
    public ExamQuestion getExamQuestion(Long examRecordDataId,Integer order);

    /**
     * 删除
     * @param examRecordDataId
     */
    public void deleteExamQuestion(Long examRecordDataId,Integer order);

    public ExamRecordQuestions createExamRecordQuestions(Long examRecordDataId, DefaultPaper defaultPaper);
}
